summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Edinaldo P. Silva2017-10-29 22:46:23 +0100
committer Willy Sudiarto Raharjo2017-11-01 01:34:00 +0100
commitc125cdb06d6a964bbec5b811161e96f17dcb5795 (patch)
tree8b8f7b1285cdb79ef49a40a829f314dad937c172 /multimedia
parent47608949ddd1ea19289a4c68e16a3e3fa873eb83 (diff)
downloadslackbuilds-c125cdb06d6a964bbec5b811161e96f17dcb5795.tar.gz
multimedia/mkclean: Updated for version 0.8.10.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mkclean/README13
-rw-r--r--multimedia/mkclean/doinst.sh9
-rw-r--r--multimedia/mkclean/mkclean.SlackBuild39
-rw-r--r--multimedia/mkclean/mkclean.info6
-rw-r--r--multimedia/mkclean/slack-desc8
5 files changed, 32 insertions, 43 deletions
diff --git a/multimedia/mkclean/README b/multimedia/mkclean/README
index 65cda3c184..9d8de20669 100644
--- a/multimedia/mkclean/README
+++ b/multimedia/mkclean/README
@@ -1,14 +1,15 @@
mkclean (command line tool to clean and optimize Matroska)
-mkclean is a command line tool to clean and optimize Matroska (.mkv /
-.mka / .mks / .mk3d) and WebM (.webm / .weba) files that have already
-been muxed. It reorders the elements with the Cues at the front, so
-your Matroska files are ready to be streamed efficiently over the web.
+mkclean is a command line tool to clean and optimize Matroska files
+(.mkv / .mka / .mks / .mk3d) and WebM files (.webm / .weba) that
+have already been muxed. It reorders the elements with the Cues
+at the front, so your Matroska files are ready to be streamed
+efficiently over the web.
It also removes elements not found in the Matroska specs and the extra
Meta Seek list of Clusters that some program add to their file. It can
-also optionally remux the Cluster blocks to start each boundary with a
-keyframe and the matching audio/subtitle blocks for that keyframe.
+also optionally remux the Cluster blocks to start each boundary with
+a keyframe and the matching audio/subtitle blocks for that keyframe.
Also comes with mkWDclean to modify files in a way they can play in
broken/incomplete players.
diff --git a/multimedia/mkclean/doinst.sh b/multimedia/mkclean/doinst.sh
deleted file mode 100644
index 65c7e2eeb9..0000000000
--- a/multimedia/mkclean/doinst.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
-fi
-
-if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
- if [ -x /usr/bin/gtk-update-icon-cache ]; then
- /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
- fi
-fi
diff --git a/multimedia/mkclean/mkclean.SlackBuild b/multimedia/mkclean/mkclean.SlackBuild
index 6f8a372e6b..f88147024e 100644
--- a/multimedia/mkclean/mkclean.SlackBuild
+++ b/multimedia/mkclean/mkclean.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mkclean
-VERSION=${VERSION:-0.8.9}
+VERSION=${VERSION:-0.8.10}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,13 +42,16 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- BITS=""
+ _target="gcc_linux"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- BITS=""
+ _target="gcc_linux"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- BITS="_x64"
+ _target="gcc_linux_x64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2"
+ _target="gcc_linux_arm"
else
SLKCFLAGS="-O2"
fi
@@ -59,7 +62,6 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-mkdir $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
@@ -69,32 +71,27 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+sed "s|/usr/local|$PKG/usr|g" -i corec/tools/coremake/gcc_mak.inc
+sed 's|arm-linux-gnueabi-||g' -i corec/tools/coremake/gcc_linux_arm.build
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+gcc $SLKCFLAGS -o coremake corec/tools/coremake/coremake.c
+./coremake ${_target}
-make -C mkclean
+cd $PRGNAM
+make
install -d $PKG/usr/bin
-install -D -m755 release/gcc_linux${BITS}/mkWDclean $PKG/usr/bin/mkWDclean
-install -D -m755 release/gcc_linux${BITS}/mkclean $PKG/usr/bin/mkclean
-install -D -m755 release/gcc_linux${BITS}/mkcleanreg $PKG/usr/bin/mkcleanreg
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ChangeLog.txt ReadMe.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cp ../ChangeLog.txt ../ReadMe.txt $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mkclean/mkclean.info b/multimedia/mkclean/mkclean.info
index 3cab7b7e24..b41e4b92b6 100644
--- a/multimedia/mkclean/mkclean.info
+++ b/multimedia/mkclean/mkclean.info
@@ -1,8 +1,8 @@
PRGNAM="mkclean"
-VERSION="0.8.9"
+VERSION="0.8.10"
HOMEPAGE="https://www.matroska.org/downloads/mkclean.html"
-DOWNLOAD="https://sourceforge.net/projects/matroska/files/mkclean/mkclean-0.8.9.tar.bz2"
-MD5SUM="1276cb010d3b5c7c8de70906cea44b79"
+DOWNLOAD="https://sourceforge.net/projects/matroska/files/mkclean/mkclean-0.8.10.tar.bz2"
+MD5SUM="4af11afc11f583093a5644b6099ef51d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libmatroska"
diff --git a/multimedia/mkclean/slack-desc b/multimedia/mkclean/slack-desc
index f9907baba0..8e8daa6f35 100644
--- a/multimedia/mkclean/slack-desc
+++ b/multimedia/mkclean/slack-desc
@@ -8,10 +8,10 @@
|-----handy-ruler------------------------------------------------------|
mkclean: mkclean (command line tool to clean and optimize Matroska)
mkclean:
-mkclean: mkclean is a command line tool to clean and optimize Matroska files
-mkclean: (.mkv / .mka / .mks / .mk3d) and WebM files (.webm / .weba) that
-mkclean: have already been muxed. It reorders the elements with the Cues
-mkclean: at the front, so your Matroska files are ready to be streamed
+mkclean: mkclean is a command line tool to clean and optimize Matroska files
+mkclean: (.mkv / .mka / .mks / .mk3d) and WebM files (.webm / .weba) that
+mkclean: have already been muxed. It reorders the elements with the Cues
+mkclean: at the front, so your Matroska files are ready to be streamed
mkclean: efficiently over the web.
mkclean:
mkclean: Home page: https://www.matroska.org/downloads/mkclean.html